=== debian/changelog ===
ipython (2.4.1-1) unstable; urgency=medium

  * New upstream release (Closes: #803082)
  * add backported patches to support python3.5
  * fix CVE-2015-6938: XSS vulnerability (Closes: #798886)
  * fix CVE-2015-4707: XSS in JSON error responses (Closes: #789824)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 06 Jan 2016 15:47:58 +0100
