=== debian/control ===
Source: ipython
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: debhelper (>= 7.3.13)
Build-Depends-Indep: dh-linktree,
                     fabric,
                     fonts-font-awesome (>= 3.2.1),
                     graphviz,
                     libc-bin (>= 2.13-1~),
                     libjs-highlight,
                     libjs-jquery-ui,
                     libjs-marked,
                     libjs-underscore,
                     node-less (>= 1.3.1),
                     node-uglify,
                     python-all (>= 2.6.6-3~),
                     python-decorator,
                     python-matplotlib,
                     python-mock,
                     python-nose,
                     python-numpydoc,
                     python-pexpect,
                     python-pygments,
                     python-qt4,
                     python-simplegeneric,
                     python-sphinx (>= 1.0.7+dfsg-1~),
                     python-tk,
                     python-tornado (>= 3.1.0),
                     python-zmq (>= 2.1.11),
                     python3-all,
                     python3-setuptools,
                     xauth,
                     xvfb
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: http://ipython.org/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/ipython.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipython.git
Standards-Version: 3.9.6

Package: ipython
Architecture: all
Depends: python-decorator,
         python-pexpect,
         python-simplegeneric,
         ${misc:Depends},
         ${python:Depends}
Suggests: ipython-doc,
          ipython-notebook,
          ipython-qtconsole,
          python-matplotlib,
          python-numpy,
          python-profiler,
          python-zmq (>= 2.1.11)
Description: enhanced interactive Python shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the basic terminal shell. For the qt console
 install ipython-qtconsole and for the html notebook install
 ipython-notebook.

Package: ipython3
Architecture: all
Depends: python3-decorator,
         python3-pkg-resources,
         python3-simplegeneric,
         ${misc:Depends},
         ${python3:Depends}
Suggests: ipython3-notebook, ipython3-qtconsole, python3-zmq (>= 2.1.11)
Description: enhanced interactive Python 3 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the Python 3 variant of ipython terminal shell.
 For the qt console install ipython3-qtconsole and for the html notebook
 install ipython3-notebook.

Package: ipython-qtconsole
Architecture: all
Depends: ipython (= ${binary:Version}),
         python-pygments,
         python-qt4 | python-pyside.qtcore,
         python-qt4 | python-pyside.qtgui,
         python-qt4 | python-pyside.qtsvg,
         python-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python:Depends}
Description: enhanced interactive Python shell - Qt console
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the qt console.

Package: ipython3-qtconsole
Architecture: all
Depends: ipython3 (= ${binary:Version}),
         python3-pkg-resources,
         python3-pygments,
         python3-pyqt4 | python3-pyside.qtcore,
         python3-pyqt4 | python3-pyside.qtgui,
         python3-pyqt4 | python3-pyside.qtsvg,
         python3-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python3:Depends}
Description: enhanced interactive Python 3 shell - Qt console
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the Python3 variant of the qt console.

Package: ipython-notebook-common
Architecture: all
Depends: fonts-font-awesome,
         libjs-highlight,
         libjs-jquery (>= 1.7),
         libjs-jquery-ui,
         libjs-marked,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends}
Suggests: nodejs, pandoc, pgf
Replaces: ipython-notebook (<< 0.12.1-2)
Breaks: ipython-notebook (<< 0.12.1-2)
Description: interactive Python html notebook data package
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the data for html notebook.

Package: ipython-notebook
Architecture: all
Depends: ipython (= ${binary:Version}),
         ipython-notebook-common (= ${binary:Version}),
         python-jinja2,
         python-tornado (>= 3.1.0),
         python-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-pygments
Description: interactive Python html notebook
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the html notebook providing a Mathematica-like
 webinterface to Python.

Package: ipython3-notebook
Architecture: all
Depends: ipython-notebook-common (= ${binary:Version}),
         ipython3 (= ${binary:Version}),
         python3-jinja2,
         python3-tornado (>= 3.1.0),
         python3-zmq (>= 2.1.11),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python3-pygments
Description: interactive Python 3 html notebook
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the html notebook providing a Mathematica-like
 webinterface to Python 3.

Package: ipython-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: ipython (<< 0.11-2), ipython-notebook (<< 0.12.1-1)
Breaks: ipython (<< 0.11-2), ipython-notebook (<< 0.12.1-1)
Description: enhanced interactive Python shell - Documentation
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.
