## ipython 5.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 PAPER         =
 SRCDIR        = source
 BUILDDIR      = build
+PYTHON        = python
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
@@ -33,15 +34,15 @@
 	@echo "pdf          latex and then runs the PDF generation"
 	@echo "all          html and pdf"
 	@echo "dist         all, and then puts the results in dist/"
-	@echo "gitwash-update update git workflow from source repo"
 
 clean_api:
 	-rm -rf $(SRCDIR)/api/generated
 
 clean: clean_api
 	-rm -rf build/* dist/*
-	-cd $(SRCDIR)/config/options; cat generated | xargs -r rm -f
-	-rm -rf $(SRCDIR)/config/options/generated
+	-rm -f $(SRCDIR)/config/options/config-generated.txt
+	-rm -f $(SRCDIR)/config/shortcuts/*.csv
+	-rm -f $(SRCDIR)/interactive/magics-generated.txt
 
 pdf: latex
 	cd build/latex && make all-pdf
@@ -58,8 +59,8 @@
 	cp -al build/html .
 	@echo "Build finished.  Final docs are in html/"
 
-html: api autoconfig
-html_noapi: clean_api autoconfig
+html: api autoconfig automagic autogen_shortcuts
+html_noapi: clean_api autoconfig automagic autogen_shortcuts
 
 html html_noapi:
 	mkdir -p build/html build/doctrees
@@ -67,17 +68,27 @@
 	@echo
 	@echo "Build finished. The HTML pages are in build/html."
 
-autoconfig: source/config/options/generated
+automagic: source/interactive/magics-generated.txt
 
-source/config/options/generated:
-	python autogen_config.py
+source/interactive/magics-generated.txt: autogen_magics.py
+	$(PYTHON) autogen_magics.py
+	@echo "Created docs for line & cell magics"
+
+autoconfig: source/config/options/config-generated.txt
+
+source/config/options/config-generated.txt:
+	$(PYTHON) autogen_config.py
 	@echo "Created docs for config options"
 
 api: source/api/generated/gen.txt
 
 source/api/generated/gen.txt:
-	python autogen_api.py
+	$(PYTHON) autogen_api.py
 	@echo "Build API docs finished."
+
+autogen_shortcuts: autogen_shortcuts.py ../IPython/terminal/interactiveshell.py source/config/shortcuts/index.rst
+	$(PYTHON) autogen_shortcuts.py
+	@echo "Created docs for shortcuts"
 
 pickle:
 	mkdir -p build/pickle build/doctrees
@@ -95,16 +106,6 @@
 	@echo
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in build/htmlhelp."
-
-qthelp:
-	mkdir -p build/qthelp
-	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
-	@echo
-	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
-	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/IPython.qhcp"
-	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/IPython.qhc"
 
 latex: api autoconfig
 	mkdir -p build/latex build/doctrees
@@ -127,18 +128,6 @@
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in build/linkcheck/output.rst."
 
-gitwash-update:
-	python ../tools/gitwash_dumper.py source/development ipython
-
-nightly: dist
-	rsync -avH --delete dist/ ipython:www/doc/nightly
-
-gh-pages: clean html
-	# if VERSION is unspecified, it will be dev
-	# For releases, VERSION should be just the major version,
-	# e.g. VERSION=2 make gh-pages
-	python gh-pages.py $(VERSION)
-
 texinfo:
 	mkdir -p $(BUILDDIR)/texinfo
 	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
