=== debian/changelog ===
ipython (5.1.0-3+deb9u1) stretch-security; urgency=high

  * CVE-2022-21699: Prevent an arbitrary code execution vulnerability
    arising from IPython executing untrusted files in the current working
    directory. According to upstream:

      Almost all versions of IPython looks for configuration and profiles in
      current working directory. Since IPython was developed before pip and
      environments existed it was used a convenient way to load code/packages
      in a project dependant way.

      In 2022, it is not necessary anymore, and can lead to confusing behavior
      where for example cloning a repository and starting IPython or loading a
      notebook from any Jupyter-Compatible interface that has ipython set as a
      kernel can lead to code execution.

    To address this problem, the current working directory is not searched
    anymore for profiles or configuration files. (Closes: #1004122)

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Jan 2022 08:25:38 -0800

ipython (5.1.0-3) unstable; urgency=medium

  * Team upload.
  * Added DEP8 autopkgtest in debian/tests since the default
    autodep8 python tests fail. (Closes: #846606)

 -- Scott Howard <showard@debian.org>  Fri, 02 Dec 2016 19:51:33 -0500

ipython (5.1.0-2) unstable; urgency=medium

  * Team upload.
  * Update wrapper scripts to avoid a deprecation warning.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Oct 2016 08:47:51 +0100

ipython (5.1.0-1) experimental; urgency=medium

  [ Julien Cristau ]
  * Add missing dependencies.  dh_python{,3} does not handle PEP 496
    environment markers, so these need to be added manually for now.

  [ Julien Puydt ]
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 18 Aug 2016 07:06:56 +0200

ipython (5.0.0-1) experimental; urgency=medium

  [ Julien Cristau ]
  * Add missing python3-pickleshare build-dep.

  [ Julien Puydt ]
  * Bump standards-version.
  * New upstream release.
  * Add missing python-backport-shutil-get-terminal-size and
    python-sphinx-rtd-theme build-deps.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 21 Jul 2016 13:05:20 +0200

ipython (4.1.2-1) experimental; urgency=medium

  * Team upload

  [ Julien Puydt ]
  * New upstream version. (Closes: #780408)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Cristau ]
  * Update to 4.1.2.
  * Bump Standards-Version to 3.9.7.

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Apr 2016 13:36:06 +0200
