=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ipython
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

	rm -r `find debian/python-ipython -name tests -type d`
	rm -r debian/python-ipython/usr/bin debian/python-ipython/usr/share/man
	rm -r `find debian/python3-ipython -name tests -type d`
	rm -r debian/python3-ipython/usr/bin debian/python3-ipython/usr/share/man

override_dh_auto_test:
	@echo "No test to avoid circular dependencies"

override_dh_installman:
	dh_installman
	mv debian/ipython3/usr/share/man/man1/ipython.1 debian/ipython3/usr/share/man/man1/ipython3.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif
