## ipython 5.5.0

=== docs/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PAPER         =
 SRCDIR        = source
 BUILDDIR      = build
-PYTHON        = python
+PYTHON        = python3
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
