=== debian/changelog ===
ipython (5.5.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release
  * Update Standards-Version to 4.1.0
  * Update debhelper compat to 10
  * Set minimum python3 version to 3.3
  * Use python3 sphinx for documentation, add ${sphinxdoc:Built-Using}
    to documentation package
  * Add autopkgtests for importability and simple syntax examples
  * Install the upstream changelog
  * Fix python2 pexpect dependency of python3-ipython
  * Add myself to uploaders
  * Add pydist-overrides file mapping IPython to python-ipython, and
    equivalent for python3
  * Quote arguments to ipython -c (closes: #843793)

  [ Diane Trout ]
  * Update debian/copyright for IPython/utils/_get_terminal_size.py

 -- Gordon Ball <gordon@chronitis.net>  Thu, 26 Oct 2017 00:41:52 +0200
