=== debian/control ===
Source: ipython
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
Priority: optional
Section: python
Standards-Version: 4.1.0
Homepage: https://github.com/ipython/ipython
Build-Depends: debhelper (>= 10),
               dh-exec,
               dh-python,
               python,
               python-backports-shutil-get-terminal-size,
               python-ipython-genutils,
               python-matplotlib,
               python-nose,
               python-pexpect,
               python-pickleshare,
               python-prompt-toolkit,
               python-setuptools,
               python3-all,
               python3-ipython-genutils,
               python3-nose,
               python3-pexpect,
               python3-pickleshare,
               python3-prompt-toolkit,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-numpydoc,
               python3-traitlets,
               python3-simplegeneric
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipython4.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipython4.git

Package: python-ipython
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-backports-shutil-get-terminal-size,
 python-pathlib2,
 python-pexpect,
Breaks: ipython (<< 4)
Replaces: ipython (<< 4)
Description: Enhanced interactive Python shell (Python 2 version)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the backend terminal shell for Python 2: for
 the actual frontend install ipython.

Package: python-ipython-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Enhanced interactive Python shell (documentation)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the documentation.

Package: python3-ipython
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pexpect,
Breaks: ipython3 (<< 4)
Replaces: ipython3 (<< 4)
Description: Enhanced interactive Python shell (Python 3 version)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the backend terminal shell for Python 3: for
 the actual frontend install ipython.

Package: ipython
Architecture: all
Section: interpreters
Depends: python-ipython (= ${binary:Version}), ${misc:Depends}
Description: Enhanced interactive Python 2 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the actual terminal shell for Python 2.

Package: ipython3
Architecture: all
Section: interpreters
Depends: python3-ipython (= ${binary:Version}), ${misc:Depends}
Description: Enhanced interactive Python 3 shell
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the actual terminal shell for Python 3.
