=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
+DEB_VERSION_MAJOR := $(shell echo $(DEB_VERSION_UPSTREAM) | cut -c 1)
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=ipython
 export LC_ALL=C.UTF-8
+
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -27,3 +31,6 @@
 	PYTHONPATH=. sphinx-build -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/source/whatsnew/version$(DEB_VERSION_MAJOR).rst
