=== debian/watch ===
version=3
http://archive.ipython.org/release/(5.[\d\.]+)/ ipython-(5.[\d\.]+)\.tar\.gz
