## ipython 5.8.0

=== debian/changelog ===
ipython (5.8.0-1+deb10u1) buster-security; urgency=high

  * Fixes CVE-2022-21699 (execution of config files from the current
    directory, which might allow cross-user attacks if ipython is run from a
    directory multiple users can write). Closes: #1004122

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 14:37:34 +0000

ipython (5.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream release
  * Remove d/.git-dpm and move to git-buildpackage style master branch with
    unapplied patches
  * Update Standards-Version to 4.2.1
  * Add lintian override for the README_STARTUP file, which is used by the
    ipython startup directory skeleton

  [ Nicolas Dandrimont ]
  * Block network access when building sphinx docs

 -- Nicolas Dandrimont <olasd@debian.org>  Wed, 17 Oct 2018 21:06:28 +0200
