=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
 Priority: optional
 Section: python
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Homepage: https://github.com/ipython/ipython
 Build-Depends: debhelper (>= 10),
                dh-exec,
@@ -11,28 +11,30 @@
                python,
                python-backports-shutil-get-terminal-size,
                python-ipython-genutils,
+               python-jupyter-client-doc <!nodoc>,
+               python-jupyter-core-doc <!nodoc>,
                python-matplotlib,
                python-nose,
                python-pexpect,
                python-pickleshare,
                python-prompt-toolkit,
                python-setuptools,
+               python-traitlets-doc <!nodoc>,
                python3-all,
                python3-ipython-genutils,
                python3-nose,
+               python3-numpydoc,
                python3-pexpect,
                python3-pickleshare,
                python3-prompt-toolkit,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-numpydoc,
+               python3-simplegeneric,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
                python3-traitlets,
-               python3-simplegeneric
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/ipython4.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/ipython4.git
+               python3.7-doc <!nodoc>
+Vcs-Git: https://salsa.debian.org/python-team/modules/ipython4.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/ipython4
 
 Package: python-ipython
 Architecture: all
