=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
+	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 PYTHONPATH=. python3 -m sphinx -b html docs/source debian/python-ipython-doc/usr/share/doc/python-ipython-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
